Bug 220494 - xend forgets pvfb configuration on restart
xend forgets pvfb configuration on restart
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Markus Armbruster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 14:25 EST by Markus Armbruster
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:08:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2006-12-21 14:25:15 EST
Description of problem:
Apparently, xend forgets pvfb configuration on restart, and upstream silently
fixed that by storing it in xenstore rather than the device object
(xen-unstable.hg changeset 13076).

How reproducible:
In theory, always.  In practice, haven't tried.  I just want to get it on the
books before the Christmas break.

Actual results:
Not eintirely obvious.  I'm guessing that save domain, restart xend, restore
domain will fail to bring the pvfb up.
Comment 1 RHEL Product and Program Management 2007-03-29 14:24:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Markus Armbruster 2007-06-12 09:16:16 EDT
The bug is real, but it affects only vncpasswd.  However, forgetting that on
xend restart is a security bug.
Comment 4 Markus Armbruster 2007-06-14 10:16:27 EDT
Patch has been reviewed and committed to the rhel-5-1-hybrid-merge branch, where
it is now awaiting to be merged into the trunk.
Comment 5 Daniel Berrange 2007-06-14 10:59:03 EDT
Built into dist-5E-qu-candidate as xen-3.0.3-27.el5

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-27.el5
- Save vncpasswd in xenstore along with the other pvfb
  configuration (rhbz#220494)
Comment 8 errata-xmlrpc 2007-11-07 12:08:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html

Note You need to log in before you can comment on or make changes to this bug.